import 'dart:io';

import 'package:dio/dio.dart';

import 'package:random/models/api_failure.dart';

class ApiService {
  final Dio _dio = Dio();

  final String baseUrl = 'https://tools.harrault.fr/tools/api';

  Future<Response?> getData() async {
    String url = baseUrl + '/get.php';
    try {
      print('fetching api data... ' + url);
      final Response? response = await _dio.get(url);
      print('ok got api response.');
      print(response);
      return response;
    } on SocketException {
      throw const ApiFailure(message: 'Failed to reach API endpoint.');
    } catch (err) {
      print("Error (getData): $err");
      throw ApiFailure(message: "$err");
    }
  }
}
