import 'package:random/models/api_data.dart';
import 'package:random/network/api.dart';

class ApiRepository {
  const ApiRepository({required this.apiService});

  final ApiService apiService;

  Future<ApiData> getApiData() async {
    print('(getApiData) delayed API call...');
    final response = await Future.delayed(Duration(milliseconds: 1000))
        .then((value) => apiService.getData());
    if (response != null) {
      print('(getApiData) got api response');
      print(response.data);
      return ApiData.fromJson(response.data);
    }
    print('(getApiData) failed');
    return ApiData.fromJson({});
  }
}
