import 'package:flutter/material.dart';
import 'package:random/models/api_data.dart';
import 'package:random/models/api_status.dart';
import 'package:random/ui/widgets/error.dart';

class ApiDataWidget extends StatelessWidget {
  const ApiDataWidget({
    super.key,
    required this.status,
    required this.data,
  });

  final ApiStatus status;
  final ApiData? data;

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.center,
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        Text('status: ' + status.toString()),
        Text('number: ' + (this.data?.number.toString() ?? '')),
        Text('md5: ' + (this.data?.md5.toString() ?? '')),
        Text('updatedAt: ' + (this.data?.updatedAt.toString() ?? '')),
        status == ApiStatus.loading
            ? Container(
                width: 12,
                height: 12,
                child: const CircularProgressIndicator(),
              )
            : const SizedBox.shrink(),
        status == ApiStatus.failed
            ? ShowErrorWidget(message: 'state.failure.message')
            : const SizedBox.shrink(),
      ],
    );
  }
}
