import 'package:flutter/material.dart';

import 'package:random/models/game/game.dart';

class GameScoreWidget extends StatelessWidget {
  const GameScoreWidget({
    super.key,
    required this.game,
  });

  final Game game;

  @override
  Widget build(BuildContext context) {
    return Container(
      width: MediaQuery.of(context).size.width,
      padding: EdgeInsets.all(5),
      child: Column(
        mainAxisAlignment: MainAxisAlignment.start,
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Text('Settings:'),
          Text('  board size: ' + this.game.settings.boardSize.toString()),
          Text('  colors count: ' + this.game.settings.colorsCount.toString()),
          Text('Game:'),
          Text('  isRunning: ' + this.game.isRunning.toString()),
          Text('  isFinished: ' + this.game.isFinished.toString()),
          Text('  movesCount: ' + this.game.movesCount.toString()),
          Text('  score: ' + this.game.score.toString()),
        ],
      ),
    );
  }
}
